
public class Student {
	private String ime;
	private int indeks;
	private int godina;
	private int [] ocjene;
	
	/**
	 * @param ime
	 * @param indeks
	 * @param godina
	 * @param ocjene
	 */
	public Student(String ime, int indeks, int godina, int[] ocjene) {
		this.ime = new String(ime);
		this.indeks = indeks;
		this.godina = godina;
		this.ocjene = new int[ocjene.length]; 
		for (int i = 0; i < ocjene.length; i++) {
			this.ocjene[i] = ocjene[i];
		}
	}
	
	public Student() {
		indeks = godina = 0;
		ime = null;
		ocjene = null; 
	}
	/**
	 * @return the ime
	 */
	public String getIme() {
		return ime;
	}
	/**
	 * @param ime the ime to set
	 */
	public void setIme(String ime) {
		this.ime = ime;
	}
	/**
	 * @return the indeks
	 */
	public int getIndeks() {
		return indeks;
	}
	/**
	 * @param indeks the indeks to set
	 */
	public void setIndeks(int indeks) {
		this.indeks = indeks;
	}
	/**
	 * @return the godina
	 */
	public int getGodina() {
		return godina;
	}
	/**
	 * @param godina the godina to set
	 */
	public void setGodina(int godina) {
		this.godina = godina;
	}
	/**
	 * @return the ocjene
	 */
	public int[] getOcjene() {
		return ocjene;
	}
	/**
	 * @param ocjene the ocjene to set
	 */
	public void setOcjene(int[] o) {
		this.ocjene = new int[o.length]; 
		for (int i = 0; i < o.length; i++) {
			ocjene[i] = o[i];
		}
	}
	
	public String printIndeks() {
		return indeks + "/" + godina;  
	}
	
	public double getAverage() {
		double r = 0.0;
		for (int x:ocjene) {
			r += x;
		}
		return r/ocjene.length;  
	}
}
